package com.wmdigit.wmposdemo.model;

public interface AiSupport {
    void initPosPage();
    void setCameraId();
    void getCameraFrame();
    void saveScaleSetting();
    void getScaleSettingI();
    void unBindPos();
    void clearTrainedDataI();
    void autoDetectI();
    void setFeedBackI();
    void setNoRecommendI();
    void getLocalImagePathI();
    void getSelfLearnI();
    void imageLearnI();
    void imageLearnSyncI();
    void imageLearnCancelI();
    void exportDataI();
    void importDataI();
    void startServerI();
    void stopServerI();
    void queryLearnedProductsI();
    void queryPosByMacI();
    void learnLocalVectorDataI();
    void correctI();
    void autoMatchProduct();
    void checkSnCodeVerification();
    void preLearningData();
}
